import java.sql.*;
public class BatchAlterTable {
	
	public static void main(String[] args) {
		try{
			  Connection connection = null;
		      Class.forName("com.mysql.jdbc.Driver");
		
		      connection = DriverManager.getConnection("jdbc:mysql://localhost:3306/roseindia_jdbc_tutorial","root","root");
		      try{		    	  
		    	  	// Create statement object  
		    	  	Statement stmt = connection.createStatement();		        
		    	     
		    	  	// Set auto-commit to false
			        connection.setAutoCommit(false);
			        
			        // Alter table query
			        String query1 = "ALTER TABLE user ADD address varchar(50)";		        
			     
			        stmt.addBatch(query1);
			        
			        stmt.executeBatch();
			        
			        System.out.println("Alter table by Batch processing" );

			       // connection committed
			        connection.commit(); 
		      }
		      catch (SQLException s){
		        System.out.println("SQL Exception " + s);
		      }
		    }
		    catch (Exception e){
		      e.printStackTrace();
		    }
	}

}
